Create a tenant property

Beta
Creates a new tenant property and returns a JSON object with the resulting property. <Warning> This endpoint is in beta and is subject to change. Please contact [implementations@truework.com](mailto:implementations@truework.com) for more information before integrating. </Warning>

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Request

namestringRequired
address_line_1string or nullOptional
address_line_2string or nullOptional
address_line_3string or nullOptional
citystring or nullOptional
postal_codestring or nullOptional
statestring or nullOptional

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

Tenant property successfully created.
address_line_1string or null
address_line_2string or null
address_line_3string or null
citystring or null
idstring
namestring
postal_codestring or null
statestring or null
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error